# Class GranularAclService

- Defined in src/services.gen.ts:5972

#####
Index

### Constructors

constructor

### Methods

addGranularAcls
getGranularAcls
removeGranularAcls

##
Constructors

### constructor

- new GranularAclService(): GranularAclService

- #### Returns GranularAclService

##
Methods

### `Static` addGranularAcls

- addGranularAcls(data): CancelablePromise<string>

- add granular acls

  #### Parameters

  - data: AddGranularAclsData

    The data for the request.

  #### Returns CancelablePromise<string>

  string granular acl added

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6004

### `Static` getGranularAcls

- getGranularAcls(data): CancelablePromise<GetGranularAclsResponse>

- get granular acls

  #### Parameters

  - data: GetGranularAclsData

    The data for the request.

  #### Returns CancelablePromise<GetGranularAclsResponse>

  boolean acls

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5982

### `Static` removeGranularAcls

- removeGranularAcls(data): CancelablePromise<string>

- remove granular acls

  #### Parameters

  - data: RemoveGranularAclsData

    The data for the request.

  #### Returns CancelablePromise<string>

  string granular acl removed

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6028